<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Rendu SVG piloté par le réseau:  Fichier source de include/class/socket.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Rendu SVG piloté par le réseau
   &#160;<span id="projectnumber">v1.0</span>
   </div>
   <div id="projectbrief">Projet informatique de Licence 3 ingénerie informatique</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_e476b43ffada8fe94e322482066afde7.html">class</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">socket.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="socket_8hpp.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#ifndef SOCKET_HPP</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#define SOCKET_HPP</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">// DEFINE</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="socket_8hpp.html#a614217d263be1fb1a5f76e2ff7be19a2">   21</a></span>&#160;<span class="preprocessor">#define PORT 6789</span></div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="socket_8hpp.html#a6b20d41d6252e9871430c242cb1a56e7">   22</a></span>&#160;<span class="preprocessor">#define BUFFER_SIZE 1500</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment">// INCLUDES</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &lt;stdlib.h&gt;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &lt;stdio.h&gt;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &lt;map&gt;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &lt;thread&gt;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &lt;sys/socket.h&gt;</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &lt;arpa/inet.h&gt;</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &lt;cbor.h&gt;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &lt;tinyxml2.h&gt;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &lt;librsvg-2.0/librsvg/rsvg.h&gt;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#include &lt;gtk-3.0/gtk/gtk.h&gt;</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="log_8hpp.html">module/log.hpp</a>&quot;</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="gdata_8hpp.html">module/gdata.hpp</a>&quot;</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="aritmetique_8hpp.html">module/aritmetique.hpp</a>&quot;</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="parsage_8hpp.html">class/parsage.hpp</a>&quot;</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="comment">// NAMESPACE</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacetinyxml2.html">tinyxml2</a>;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacestd.html">std</a>;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="comment">// CLASS</span></div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="class_socket.html">   57</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_socket.html">Socket</a> {</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        <span class="comment">// ---------- Attributes</span></div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        <span class="keywordtype">bool</span> listen;                </div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        <span class="keywordtype">int</span> socket_udp;             </div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        sockaddr_in socket_address; </div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        pthread_t thread;           </div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        <span class="keyword">struct </span><a class="code" href="structglobal__data.html">global_data</a> *g_data; </div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        <a class="code" href="class_parsage.html">Parsage</a> *parseur;           </div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        <span class="comment">// ---------- Constructors &amp; Destructor</span></div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <a class="code" href="class_socket.html">Socket</a>(<span class="keyword">struct</span> <a class="code" href="structglobal__data.html">global_data</a> *g_data, <a class="code" href="class_parsage.html">Parsage</a> *parseur);</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        <a class="code" href="class_socket.html">Socket</a>(<span class="keyword">const</span> <a class="code" href="class_socket.html">Socket</a> &amp;socket);</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        ~<a class="code" href="class_socket.html">Socket</a>();</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        <span class="comment">// ---------- Methods</span></div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        <span class="keywordtype">void</span> InitSocket();</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        <span class="keywordtype">void</span> Start();</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        <span class="keywordtype">void</span> Stop();</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        <span class="keywordtype">void</span> Run();</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        <span class="comment">// ---------- Static Methods</span></div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        <span class="keyword">static</span> <span class="keywordtype">void</span> * Thread(gpointer ptr);</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;};</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="comment">// DOCUMENTATION</span></div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="comment">// ================================================================================</span></div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="comment"></span><a class="code" href="class_socket.html#a8ab13c721526158ffa781fcc10bf9c83">Socket::Socket</a>(<span class="keyword">struct</span> <a class="code" href="structglobal__data.html">global_data</a> *g_data, <a class="code" href="class_parsage.html">Parsage</a> *parseur);</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;<a class="code" href="class_socket.html#a8ab13c721526158ffa781fcc10bf9c83">Socket::Socket</a>(<span class="keyword">const</span> <a class="code" href="class_socket.html">Socket</a> &amp;socket);</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<a class="code" href="class_socket.html#aeac4eb6379a543d38ed88977d3b6630a">Socket::~Socket</a>();</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;<span class="keywordtype">void</span> <a class="code" href="class_socket.html#a5c3e3fdba40eb732b30869e131159863">Socket::InitSocket</a>();</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;<span class="keywordtype">void</span> <a class="code" href="class_socket.html#a025a7c09b388b0ab0a17b2dc7a314a3a">Socket::Start</a>();</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;<span class="keywordtype">void</span> <a class="code" href="class_socket.html#a0d0a5267d11fc4e8cf866d6754273d1d">Socket::Stop</a>();</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;<span class="keywordtype">void</span> <a class="code" href="class_socket.html#ad517cb205cbfdb01485df1f94377ca28">Socket::Run</a>();</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;<span class="keyword">static</span> <span class="keywordtype">void</span> * <a class="code" href="class_socket.html#ac3443e00f2d6c665610ff64aea05c028">Socket::Thread</a>(gpointer ptr);</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="class_socket_html_a025a7c09b388b0ab0a17b2dc7a314a3a"><div class="ttname"><a href="class_socket.html#a025a7c09b388b0ab0a17b2dc7a314a3a">Socket::Start</a></div><div class="ttdeci">void Start()</div><div class="ttdoc">Démarre l&amp;#39;écoute sur le réseau. </div></div>
<div class="ttc" id="class_socket_html_a0d0a5267d11fc4e8cf866d6754273d1d"><div class="ttname"><a href="class_socket.html#a0d0a5267d11fc4e8cf866d6754273d1d">Socket::Stop</a></div><div class="ttdeci">void Stop()</div><div class="ttdoc">Arrête l&amp;#39;écoute sur le réseau. </div></div>
<div class="ttc" id="class_socket_html_ac3443e00f2d6c665610ff64aea05c028"><div class="ttname"><a href="class_socket.html#ac3443e00f2d6c665610ff64aea05c028">Socket::Thread</a></div><div class="ttdeci">static void * Thread(gpointer ptr)</div><div class="ttdoc">Thread principale de la socket. </div></div>
<div class="ttc" id="aritmetique_8hpp_html"><div class="ttname"><a href="aritmetique_8hpp.html">aritmetique.hpp</a></div><div class="ttdoc">Module de calcul d&amp;#39;espression arithmétique. </div></div>
<div class="ttc" id="namespacestd_html"><div class="ttname"><a href="namespacestd.html">std</a></div></div>
<div class="ttc" id="class_socket_html_a5c3e3fdba40eb732b30869e131159863"><div class="ttname"><a href="class_socket.html#a5c3e3fdba40eb732b30869e131159863">Socket::InitSocket</a></div><div class="ttdeci">void InitSocket()</div><div class="ttdoc">Initialise la socket. </div></div>
<div class="ttc" id="namespacetinyxml2_html"><div class="ttname"><a href="namespacetinyxml2.html">tinyxml2</a></div></div>
<div class="ttc" id="class_socket_html_aeac4eb6379a543d38ed88977d3b6630a"><div class="ttname"><a href="class_socket.html#aeac4eb6379a543d38ed88977d3b6630a">Socket::~Socket</a></div><div class="ttdeci">~Socket()</div><div class="ttdoc">Destructeur de l&amp;#39;objet Socket. </div></div>
<div class="ttc" id="structglobal__data_html"><div class="ttname"><a href="structglobal__data.html">global_data</a></div><div class="ttdef"><b>Definition:</b> <a href="gdata_8hpp_source.html#l00050">gdata.hpp:50</a></div></div>
<div class="ttc" id="parsage_8hpp_html"><div class="ttname"><a href="parsage_8hpp.html">parsage.hpp</a></div><div class="ttdoc">Classe de parsage de document XML du serveur général. </div></div>
<div class="ttc" id="class_socket_html"><div class="ttname"><a href="class_socket.html">Socket</a></div><div class="ttdef"><b>Definition:</b> <a href="socket_8hpp_source.html#l00057">socket.hpp:57</a></div></div>
<div class="ttc" id="class_socket_html_a8ab13c721526158ffa781fcc10bf9c83"><div class="ttname"><a href="class_socket.html#a8ab13c721526158ffa781fcc10bf9c83">Socket::Socket</a></div><div class="ttdeci">Socket(struct global_data *g_data, Parsage *parseur)</div><div class="ttdoc">Constructeur de l&amp;#39;objet Socket. </div></div>
<div class="ttc" id="log_8hpp_html"><div class="ttname"><a href="log_8hpp.html">log.hpp</a></div><div class="ttdoc">Module de log de debogage. </div></div>
<div class="ttc" id="class_parsage_html"><div class="ttname"><a href="class_parsage.html">Parsage</a></div><div class="ttdef"><b>Definition:</b> <a href="parsage_8hpp_source.html#l00044">parsage.hpp:44</a></div></div>
<div class="ttc" id="gdata_8hpp_html"><div class="ttname"><a href="gdata_8hpp.html">gdata.hpp</a></div><div class="ttdoc">Structure de donnée partagé avec tous les composants. </div></div>
<div class="ttc" id="class_socket_html_ad517cb205cbfdb01485df1f94377ca28"><div class="ttname"><a href="class_socket.html#ad517cb205cbfdb01485df1f94377ca28">Socket::Run</a></div><div class="ttdeci">void Run()</div><div class="ttdoc">Méthode d&amp;#39;écoute du réseau. </div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
